Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007084 [DCSS] Bug Report minor always 2013-05-25 23:26 2014-04-26 00:34
Reporter rchandra View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.12 ancient branch
Summary 0007084: LRD through grates does nothing but takes mp/time
Description http://dobrazupa.org/saves/rchandra-crawl-0.12-130525-2122.tar.bz2 [^]

Using LRD on a wall that I can only see through a grate, I get 'The wall shatters!' and pay the MP and time for the spell, but there's no explosion or damage.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0022817)
neil (administrator)
2013-05-26 00:04

Should determine_affected_cells maybe use LOS_NO_TRANS instead of LOS_SOLID there?
(0022818)
neil (administrator)
2013-05-26 00:32

Fixed in trunk (0.13-a0-921-g3f17ee7), thanks!

- Issue History
Date Modified Username Field Change
2013-05-25 23:26 rchandra New Issue
2013-05-26 00:04 neil Note Added: 0022817
2013-05-26 00:32 neil Note Added: 0022818
2013-05-26 00:32 neil Status new => resolved
2013-05-26 00:32 neil Fixed in Branch => 0.13 development branch
2013-05-26 00:32 neil Resolution open => done
2013-05-26 00:32 neil Assigned To => neil
2014-04-26 00:34 rchandra Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker